<?php

function install_package(){

	$core = cmsCore::getInstance();

	$content_model = cmsCore::getModel('content');

	$ctypes = $content_model->getContentTypes();

	foreach($ctypes as $ctype){

		$table = $content_model->table_prefix . $ctype['name'];

		$sql = "ALTER TABLE  `{#}{$table}` 
				ADD  `date_pub_end` TIMESTAMP NULL DEFAULT NULL AFTER  `date_last_modified` ,
				ADD  `is_pub` BOOLEAN NULL DEFAULT  '1' AFTER  `date_pub_end` ,
				ADD  `hits_count` INT NULL DEFAULT '0' AFTER  `is_pub` ,
				ADD INDEX (  `date_pub_end` ,  `is_pub`, `hits_count` )";

		$core->db->query($sql);

	}

	$sql = "INSERT INTO  `{#}perms_rules` (`id`, `controller`, `name`, `type`, `options`) VALUES 
			(NULL ,  'content',  'pub_late',  'flag', NULL), 
			(NULL ,  'content',  'pub_long',  'list',  'days,any'),
			(NULL ,  'content',  'pub_max_days',  'number',  NULL),
			(NULL ,  'content',  'pub_max_ext',  'flag', NULL), 
			(NULL ,  'content',  'pub_on',  'flag', NULL)";

	$core->db->query($sql);

	$datasets = $content_model->get('content_datasets', function($item, $model){
		$item['sorting'] = cmsModel::yamlToArray($item['sorting']);
		return $item;
	});

	foreach($datasets as $ds){
		$s = array(array('by'=>$ds['sorting']['by'], 'to'=>$ds['sorting']['to']));
		$content_model->update('content_datasets', $ds['id'], array('sorting'=>$s));
	}

}

